| Classes - Annotated - Tree - Functions - Home - Structure

# QTimerEvent Class Reference

The QTimerEvent class contains parameters that describe a timer event. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QTimerEvent ( int timerId )
- int timerId () const

## Detailed Description

The QTimerEvent class contains parameters that describe a timer event.

Timer events are sent at regular intervals to objects that have started one or more timers. Each timer has a unique identifier. A timer is started with QObject::startTimer().

The QTimer class provides a high-level programming interface that uses signals instead of events. It also provides one-shot timers.

The event handler QObject::timerEvent() receives timer events.

See also QTimer, QObject::timerEvent(), QObject::startTimer(), QObject::killTimer() and QObject::killTimers().

Examples: grapher/grapher.cpp xform/xform.cpp progress/progress.cpp qmag/qmag.cpp forever/forever.cpp scrollview/scrollview.cpp

## Member Function Documentation

### QTimerEvent::QTimerEvent ( int timerId )

Constructs a timer event object with the timer identifier set to timerId.

### int QTimerEvent::timerId () const

Returns the unique timer identifier, which is the same identifier as returned from QObject::startTimer().

Search the documentation, FAQ, qt-interest archive and more (uses www.trolltech.com):

This file is part of the Qt toolkit, copyright © 1995-2000 Trolltech, all rights reserved.